RubyGems Navigation menu

rex-encoder 0.1.3

This library provides the basis for all of the polymorphic encoders that Metasploit uses for payload encoding. Encoders are used to try and create a version of a payload that is free of bad characters as defined by the exploit.

Versions:

  1. 0.1.4 - May 11, 2017 (40 KB)
  2. 0.1.3 - April 07, 2017 (40 KB)
  3. 0.1.2 - December 28, 2016 (40 KB)
  4. 0.1.1 - November 21, 2016 (39.5 KB)
  5. 0.1.0 - September 14, 2016 (39.5 KB)

Runtime Dependencies (3):

Development Dependencies (3):

  • bundler ~> 1.12
  • rake ~> 10.0
  • rspec ~> 3.0
  • Owners:

    Authors:

    • David Maloney

    SHA 256 checksum:

    f2f2a50e36951fc5e8493f46d8d31173548255dd36c012eb58ed11c34347a9c7

    Total downloads 1,147,529

    For this version 9,560

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    Licenses:

    N/A

    Required Ruby Version: >= 0

    Links: